[arch-commits] Commit in steam/repos/community-i686 (8 files)

Daniel Wallace dwallace at nymeria.archlinux.org
Wed May 22 19:55:40 EDT 2013


    Date: Thursday, May 23, 2013 @ 01:55:39
  Author: dwallace
Revision: 91459

archrelease: copy trunk to community-i686

Added:
  steam/repos/community-i686/PKGBUILD
    (from rev 91458, steam/trunk/PKGBUILD)
  steam/repos/community-i686/alsa_sdl_audiodriver.patch
    (from rev 91458, steam/trunk/alsa_sdl_audiodriver.patch)
  steam/repos/community-i686/lib32-flashplugin-path.patch
    (from rev 91458, steam/trunk/lib32-flashplugin-path.patch)
  steam/repos/community-i686/steam.install
    (from rev 91458, steam/trunk/steam.install)
Deleted:
  steam/repos/community-i686/PKGBUILD
  steam/repos/community-i686/alsa_sdl_audiodriver.patch
  steam/repos/community-i686/lib32-flashplugin-path.patch
  steam/repos/community-i686/steam.install

------------------------------+
 PKGBUILD                     |  112 ++++++++++++++++++++---------------------
 alsa_sdl_audiodriver.patch   |   28 +++++-----
 lib32-flashplugin-path.patch |   20 +++----
 steam.install                |   53 +++++++++----------
 4 files changed, 107 insertions(+), 106 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2013-05-22 23:55:08 UTC (rev 91458)
+++ PKGBUILD	2013-05-22 23:55:39 UTC (rev 91459)
@@ -1,56 +0,0 @@
-# $Id$
-# Maintainer: Daniel Wallace <danielwallace at gtmanfred dot com>
-# Contributor: K900 <k0009000 at gmail.com>
-pkgname=steam
-pkgver=1.0.0.39
-pkgrel=1
-pkgdesc="Digital distribution client bootstrap package"
-arch=("i686" "x86_64")
-url="http://steampowered.com/"
-license=('custom')
-install=steam.install
-source=("http://repo.steampowered.com/$pkgname/pool/$pkgname/s/$pkgname/${pkgname}_$pkgver.tar.gz"
-        'lib32-flashplugin-path.patch'
-        'alsa_sdl_audiodriver.patch')
-md5sums=('156c19672b8eb098a4c398c1d8fbd96d'
-         '1d83a1df55d677f35ce415e0750f4448'
-         'ac0e03d70f1101331598b2b32ed9bac3')
-if [[ "$CARCH" == "x86_64" ]]; then
-  #depends+=(lib32-libgl lib32-mesa-libgl lib32-gcc-libs lib32-libx11)
-  optdepends=(
-  'lib32-ati-dri: for open source ATI driver users'
-  'lib32-catalyst-utils: for AMD Catalyst users'
-  'lib32-intel-dri: for open source Intel driver users'
-  'lib32-nouveau-dri: for Nouveau users'
-  'lib32-nvidia-utils: for NVIDIA proprietary blob users'
-  'lib32-flashplugin: for flash video'
-  )
-prepare() {
-    patch -d "$pkgname" -Np1 -i "$srcdir/lib32-flashplugin-path.patch"
-    patch -d "$pkgname" -Np1 -i "$srcdir/alsa_sdl_audiodriver.patch"
-}
-else
-    optdepends=('flashplugin: for flash videos')
-prepare() {
-    patch -d "$pkgname" -Np1 -i "$srcdir/alsa_sdl_audiodriver.patch"
-}
-fi
-
-package() {
-    depends=(
-      'bash' 'desktop-file-utils' 'hicolor-icon-theme' 'curl'
-      'dbus' 'freetype2'  'gdk-pixbuf2' 'ttf-font' 'zenity'
-      )
-  if [[ "$CARCH" == x86_64 ]]; then
-    depends+=(lib32-libgl lib32-gcc-libs lib32-libx11)
-  fi
-
-  # Install license
-  make -C "$pkgname" DESTDIR="$pkgdir" install
-  
-  install -Dm644 "$pkgdir/usr/share/doc/steam/steam_install_agreement.txt" "$pkgdir/usr/share/licenses/steam/LICENSE"
-
-  # blank steamdeps because apt-get
-  ln -sf /bin/true "$pkgdir/usr/bin/steamdeps"
-}
-#vim: set ft=PKGBUILD sw=2 ts=2 et

Copied: steam/repos/community-i686/PKGBUILD (from rev 91458, steam/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2013-05-22 23:55:39 UTC (rev 91459)
@@ -0,0 +1,56 @@
+# $Id$
+# Maintainer: Daniel Wallace <danielwallace at gtmanfred dot com>
+# Contributor: K900 <k0009000 at gmail.com>
+pkgname=steam
+pkgver=1.0.0.39
+pkgrel=2
+pkgdesc="Digital distribution client bootstrap package"
+arch=("i686" "x86_64")
+url="http://steampowered.com/"
+license=('custom')
+install=steam.install
+source=("http://repo.steampowered.com/$pkgname/pool/$pkgname/s/$pkgname/${pkgname}_$pkgver.tar.gz"
+        'lib32-flashplugin-path.patch'
+        'alsa_sdl_audiodriver.patch')
+md5sums=('156c19672b8eb098a4c398c1d8fbd96d'
+         '1d83a1df55d677f35ce415e0750f4448'
+         'ac0e03d70f1101331598b2b32ed9bac3')
+if [[ "$CARCH" == "x86_64" ]]; then
+  #depends+=(lib32-libgl lib32-mesa-libgl lib32-gcc-libs lib32-libx11)
+  optdepends=(
+  'lib32-ati-dri: for open source ATI driver users'
+  'lib32-catalyst-utils: for AMD Catalyst users'
+  'lib32-intel-dri: for open source Intel driver users'
+  'lib32-nouveau-dri: for Nouveau users'
+  'lib32-nvidia-utils: for NVIDIA proprietary blob users'
+  'lib32-flashplugin: for flash video'
+  )
+prepare() {
+    patch -d "$pkgname" -Np1 -i "$srcdir/lib32-flashplugin-path.patch"
+    patch -d "$pkgname" -Np1 -i "$srcdir/alsa_sdl_audiodriver.patch"
+}
+else
+    optdepends=('flashplugin: for flash videos')
+prepare() {
+    patch -d "$pkgname" -Np1 -i "$srcdir/alsa_sdl_audiodriver.patch"
+}
+fi
+
+package() {
+    depends=(
+      'bash' 'desktop-file-utils' 'hicolor-icon-theme' 'curl'
+      'dbus' 'freetype2'  'gdk-pixbuf2' 'ttf-font' 'zenity'
+      )
+  if [[ "$CARCH" == x86_64 ]]; then
+    depends+=(lib32-libgl lib32-gcc-libs lib32-libx11)
+  fi
+
+  # Install license
+  make -C "$pkgname" DESTDIR="$pkgdir" install
+  
+  install -Dm644 "$pkgdir/usr/share/doc/steam/steam_install_agreement.txt" "$pkgdir/usr/share/licenses/steam/LICENSE"
+
+  # blank steamdeps because apt-get
+  ln -sf /bin/true "$pkgdir/usr/bin/steamdeps"
+}
+#vim: set ft=PKGBUILD sw=2 ts=2 et

Deleted: alsa_sdl_audiodriver.patch
===================================================================
--- alsa_sdl_audiodriver.patch	2013-05-22 23:55:08 UTC (rev 91458)
+++ alsa_sdl_audiodriver.patch	2013-05-22 23:55:39 UTC (rev 91459)
@@ -1,14 +0,0 @@
---- a/steam	2013-02-15 14:43:40.000000000 -0500
-+++ b/steam	2013-02-17 23:26:31.951179106 -0500
-@@ -17,6 +17,11 @@
- # Set up domain for script localization
- export TEXTDOMAIN=steam
- 
-+# check if pulseaudio is installed and if it isn't, use alsa for SDL_AUDIODRIVER
-+if ! pulseaudio --check &>/dev/null; then
-+    export SDL_AUDIODRIVER=alsa
-+fi
-+
- function show_message()
- {
- 	style=$1

Copied: steam/repos/community-i686/alsa_sdl_audiodriver.patch (from rev 91458, steam/trunk/alsa_sdl_audiodriver.patch)
===================================================================
--- alsa_sdl_audiodriver.patch	                        (rev 0)
+++ alsa_sdl_audiodriver.patch	2013-05-22 23:55:39 UTC (rev 91459)
@@ -0,0 +1,14 @@
+--- a/steam	2013-02-15 14:43:40.000000000 -0500
++++ b/steam	2013-02-17 23:26:31.951179106 -0500
+@@ -17,6 +17,11 @@
+ # Set up domain for script localization
+ export TEXTDOMAIN=steam
+ 
++# check if pulseaudio is installed and if it isn't, use alsa for SDL_AUDIODRIVER
++if ! pulseaudio --check &>/dev/null; then
++    export SDL_AUDIODRIVER=alsa
++fi
++
+ function show_message()
+ {
+ 	style=$1

Deleted: lib32-flashplugin-path.patch
===================================================================
--- lib32-flashplugin-path.patch	2013-05-22 23:55:08 UTC (rev 91458)
+++ lib32-flashplugin-path.patch	2013-05-22 23:55:39 UTC (rev 91459)
@@ -1,10 +0,0 @@
---- a/steam	2013-02-14 14:03:49.000000000 -0500
-+++ b/steam	2013-02-14 15:48:06.766152022 -0500
-@@ -51,6 +51,7 @@
- 
- function setup_variables()
- {
-+    MOZ_PLUGIN_PATH="/usr/lib32/mozilla/plugins/"
- 	STEAMPACKAGE="${0##*/}"
- 	STEAMCONFIG=~/.steam
- 	STEAMDATALINK="$STEAMCONFIG/$STEAMPACKAGE"

Copied: steam/repos/community-i686/lib32-flashplugin-path.patch (from rev 91458, steam/trunk/lib32-flashplugin-path.patch)
===================================================================
--- lib32-flashplugin-path.patch	                        (rev 0)
+++ lib32-flashplugin-path.patch	2013-05-22 23:55:39 UTC (rev 91459)
@@ -0,0 +1,10 @@
+--- a/steam	2013-02-14 14:03:49.000000000 -0500
++++ b/steam	2013-02-14 15:48:06.766152022 -0500
+@@ -51,6 +51,7 @@
+ 
+ function setup_variables()
+ {
++    MOZ_PLUGIN_PATH="/usr/lib32/mozilla/plugins/"
+ 	STEAMPACKAGE="${0##*/}"
+ 	STEAMCONFIG=~/.steam
+ 	STEAMDATALINK="$STEAMCONFIG/$STEAMPACKAGE"

Deleted: steam.install
===================================================================
--- steam.install	2013-05-22 23:55:08 UTC (rev 91458)
+++ steam.install	2013-05-22 23:55:39 UTC (rev 91459)
@@ -1,26 +0,0 @@
-post_install() {
-  update-desktop-database -q
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-  echo "if you are running x86_64, you need the lib32 opt depends for your driver"
-  echo 
-  echo " if you are having problems with the steam license, remove .steam and .local/share/Steam"
-}
-
-pre_install(){
-  update-desktop-database -q
-  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-
-}
-
-post_upgrade() {
-  post_install $1
-}
-
-pre_upgrade(){
-  pre_install $1
-}
-
-post_remove() {
-   pre_install $1 removing
-}
-

Copied: steam/repos/community-i686/steam.install (from rev 91458, steam/trunk/steam.install)
===================================================================
--- steam.install	                        (rev 0)
+++ steam.install	2013-05-22 23:55:39 UTC (rev 91459)
@@ -0,0 +1,27 @@
+post_install() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+  echo "if you are running x86_64, you need the lib32 opt depends for your driver"
+  echo "if you are having problems with the steam license, remove .steam and .local/share/Steam"
+}
+
+pre_install(){
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_upgrade() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+pre_upgrade(){
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+
+post_remove() {
+  update-desktop-database -q
+  gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+}
+



More information about the arch-commits mailing list